{% extends 'layout.twig' %}

{% block body %}

	<div class="contenu clearfix"  id="Importfournisseurs">
	<h1>
    	{{ 'Fournisseurs' | trad }}
    </h1>
    
    {{ ariane() }}

    <div id="importFournisseur" class="padding15">     
        <form method="POST" id='formulaireGeneral' enctype="multipart/form-data" class="box-form clearfix" >
        	<input type="hidden" value='' name='importSend'>
        	<div class="single">
					{{ inputAdvance('FILE', {'name' : 'Frs', 'format' : 'excel'} ) }}
            </div>
        	<center><h4>{{ "Déposez votre fichier d'import fournisseur ci-dessus (fichier supporté : xls, xlsx)." | trad }}</h4></center>
            <hr>
    		<button class="button principal button_right" type='button' onClick="ImportFournisseur('{{ path('Fournisseur.Import.index') }}');">{{ 'Importer' | trad }}</button>
        </form>
    </div>

    <script>
        
        function ImportFournisseur(path)
        {
			jForm.append("importSend", $('[name="importSend"]').val());

        	activeLoader();
            $.ajax({
            	url : path ,
            	data : jForm,
                type: 'POST',
                contentType: false,
                cache: false,
                processData: false,
                mimeType: "multipart/form-data",
                success: function (data) {            
                    	desactiveLoader();
                        $("#modal-content").addClass("modal_small");
                		$("#modal-body").html(data);
                        activePopup();
                },
                error: function (data){
                	var data = jQuery.parseJSON(data.responseText);
                	if(data.postGestion){
                		redirectJSWithPost(data.path, data.postGestion);
                	}
                	else{
                		window.location.href = data.path;
                	}
                }
            });
        };
    </script>
    
{% endblock %}